import App from './App'

// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
	...App
})
app.$mount()
// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'

export function createApp() {
	const app = createSSRApp(App)
	app.mixin({
		// 分享到好友
		onShareAppMessage() {
			return {
				title: '卓享汇收银台',
				path: '',
				imageUrl: ''
			}
		},
		// 分享到朋友圈
		onShareTimeline() {
			return {
				title: '卓享汇收银台',
				path: '',
				imageUrl: ''
			}
		},
	})




	return {
		app
	}
}
// #endif
